Debian Bug report logs - #729872
ITP: pysrt -- Python parser for SubRip (srt) files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Etienne Millon <me@emillon.org>

Date: Mon, 18 Nov 2013 13:06:02 UTC

Owned by: Etienne Millon <me@emillon.org>

Severity: wishlist

Fixed in version pysrt/1.0.0-1

Done: Etienne Millon <me@emillon.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#729872; Package wnpp. (Mon, 18 Nov 2013 13:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <me@emillon.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 18 Nov 2013 13:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Etienne Millon <me@emillon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pysrt -- Python parser for SubRip (srt) files
Date: Mon, 18 Nov 2013 14:04:17 +0100
Package: wnpp
Severity: wishlist
Owner: Etienne Millon <me@emillon.org>
X-Debbugs-Cc: python-modules-team@lists.alioth.debian.org

* Package name    : pysrt
  Version         : 0.5.1
  Upstream Author : Antoine Bertin <diaoulael@gmail.com>
* URL             : https://github.com/byroot/pysrt
* License         : GPL-3
  Programming Lang: Python
  Description     : Python parser for SubRip (srt) files

Pysrt can be used to edit or create SubRip (.srt) subtitle files from
Python. It supports parsing, shifting, removing, slicing, spliting and
rescaling of these files.

This library is needed as a dependency of subliminal (ITP #729781).
It will be maintained within the Debian Python Modules Team. 

A preliminary version provided by Oxan van Leeuwen can be found at the
following URL:

https://github.com/oxan/pysrt-debian

-- 
Etienne Millon



Added indication that bug 729872 blocks 729781 Request was from Etienne Millon <me@emillon.org> to control@bugs.debian.org. (Mon, 18 Nov 2013 13:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729872; Package wnpp. (Sun, 24 Nov 2013 13:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <me@emillon.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 24 Nov 2013 13:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 729872@bugs.debian.org (full text, mbox):

From: Etienne Millon <me@emillon.org>
To: 729872@bugs.debian.org
Subject: Re: Bug#729872: ITP: pysrt -- Python parser for SubRip (srt) files
Date: Sun, 24 Nov 2013 14:01:13 +0100
Pushed to Alioth:

Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pysrt/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pysrt/trunk/

-- 
Etienne Millon



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729872; Package wnpp. (Wed, 27 Nov 2013 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Etienne Millon <me@emillon.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Nov 2013 15:24:04 GMT) Full text and rfc822 format available.

Message #17 received at 729872@bugs.debian.org (full text, mbox):

From: Etienne Millon <me@emillon.org>
To: Piotr O┼╝arowski <piotr@debian.org>
Cc: 729872@bugs.debian.org
Subject: Re: RFS: DPMT: pysrt 0.5.1-1
Date: Wed, 27 Nov 2013 16:21:14 +0100
[Message part 1 (text/plain, inline)]
(cc-ing the ITP bug)

* Piotr O┼╝arowski <piotr@debian.org> [131127 01:51]:
> I just noticed that pysrt is GPL but doesn't include full version of
> the licence in the tarball, please notify upstream that he needs to
> include it.

Upstream is aware of this problem, and I posted a message on the
upstream bug tracker there:

https://github.com/byroot/pysrt/issues/34

I'll ping you when a new version released with the correct license
file.

-- 
Etienne Millon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Etienne Millon <me@emillon.org>:
You have taken responsibility. (Mon, 10 Feb 2014 13:03:05 GMT) Full text and rfc822 format available.

Notification sent to Etienne Millon <me@emillon.org>:
Bug acknowledged by developer. (Mon, 10 Feb 2014 13:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 729872-close@bugs.debian.org (full text, mbox):

From: Etienne Millon <me@emillon.org>
To: 729872-close@bugs.debian.org
Subject: Bug#729872: fixed in pysrt 1.0.0-1
Date: Mon, 10 Feb 2014 13:00:07 +0000
Source: pysrt
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
pysrt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 729872@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Etienne Millon <me@emillon.org> (supplier of updated pysrt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 06 Feb 2014 23:05:03 +0100
Source: pysrt
Binary: python-pysrt python3-pysrt
Architecture: source all
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Etienne Millon <me@emillon.org>
Description: 
 python-pysrt - library to edit or create SubRip files (Python 2)
 python3-pysrt - library to edit or create SubRip files (Python 3)
Closes: 729872
Changes: 
 pysrt (1.0.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #729872)
Checksums-Sha1: 
 c18817a1d8396aec8145f51ade0702c97a324c95 2090 pysrt_1.0.0-1.dsc
 c93b712d2c12f5d4f5afa1ce8a91d04fcefc31c3 11966 pysrt_1.0.0.orig.tar.gz
 62380dc3265524ecb7b117a77e611fb669088285 2656 pysrt_1.0.0-1.debian.tar.xz
 885f9e6fbf6febeb2d0beaf6979dea3bc286c887 12986 python-pysrt_1.0.0-1_all.deb
 f79b4623732ddb8a3601c7d5c227fbdc992eaee8 11928 python3-pysrt_1.0.0-1_all.deb
Checksums-Sha256: 
 e7e9c94f6928bfa985bfa81afa9e5276d485a0a4b5a2e6f52a63d6ba7933ac7f 2090 pysrt_1.0.0-1.dsc
 88b4f93223c84aa86741387dcf5bcec86acf961eb66383c4ba86b1ffbb826a64 11966 pysrt_1.0.0.orig.tar.gz
 952727207354f2623c223b971744c2a5616ee2f767c5fe003cf09748b8878f1a 2656 pysrt_1.0.0-1.debian.tar.xz
 318cd8bfafc2085101beafeaedd2c9a50b46ca3f35ebfabc69d09659995bcb83 12986 python-pysrt_1.0.0-1_all.deb
 1c6056a5127ed7ee17c4b218d0fbba8f882a03eff11055389821189ad3bc605b 11928 python3-pysrt_1.0.0-1_all.deb
Files: 
 855177afb18e91e684f818330ae1bc6e 2090 python optional pysrt_1.0.0-1.dsc
 f2b350d40f55c813cbde77518ce41318 11966 python optional pysrt_1.0.0.orig.tar.gz
 5c4cd8c4d33926f297e7c97ec0bb9b17 2656 python optional pysrt_1.0.0-1.debian.tar.xz
 13be4baa546c0da3d0b1cc9d052a0ad0 12986 python optional python-pysrt_1.0.0-1_all.deb
 84453ec69df4de248f076d0a265a5256 11928 python optional python3-pysrt_1.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS9Ao0AAoJEK728aKnRXZF8GEP/191IO9LSaH7dRc9kem9bJ58
eY4qXjPM8vzD64g2x5C6V53HF1X3bYEtZ9baGbrNaLRojbjOHqtYx/NiEzgPD2Eo
VC+lyZwgUXYzjss6Fc7kED72Z0D4FnwT3vPbhGnVEhzm96nczwMrNA4CyyKuY9vg
y2BwG9vIB9nDtMBfNxqMWFj7sdrLB1CkE6CP84iE5d8NPBJJ+xwOQ8kRkgEk7F+8
BzVIel9k9MKgb2YDaY5qI4HZ93QhzWhtpyYRUIoC/tYWH75oN2ALFmSIIwCJnSES
qfO/I5aJ+lvvcPgz8AboZk1coaXffDO0dxg1UqE4im2XxOm6LAUoYz5IUw0JGLr2
RdMdy0hRGoAtXGlMHUDfGZWklDEV940dsWkYVw1GFZJf3G7zBonwGLD/ih05u632
1Sg9sK4JOwOxdquwFNemQhaDVw6hW1+lYyYXf314uAlZd87OKo53L4WAQdCdl4B4
vsVsS68EpoHjPgNHieGCz6NSWO6+3vgTI8M20WlJFYwBbVSMzplqEQ6y9DLUibMw
8XKYt5VXystaaMxLPX6apxe5AghS6ZsBPcHq4MOWCbhaY0KF+2X8z5HJIT/qmNgj
IfjMrs+fW5z4D/Oj3b5rBs7SSuGy0pBHuVAUWP2GWw73xNABGjp6U9KqGhjDXdQV
fcP7EcSFFIyyg3seTCME
=YiqZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Mar 2014 07:34:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:07:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.